List payment methods
curl --request GET \
--url https://uat-api.clinkbill.com/agent/platform/payment-methods \
--header 'Authorization: Bearer <token>'HttpResponse<String> response = Unirest.get("https://uat-api.clinkbill.com/agent/platform/payment-methods")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://uat-api.clinkbill.com/agent/platform/payment-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://uat-api.clinkbill.com/agent/platform/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "Success",
"data": {
"payment_methods": [
{
"payment_instrument_id": "pi_...",
"payment_method_type": "CARD",
"payment_instrument_type": "VIRTUAL_CARD",
"card_scheme": "VISA",
"card_last_four": "4242",
"expiry_month": "12",
"expiry_year": "2030",
"issuer_bank": "Example Bank",
"is_default": true,
"status": "ACTIVE"
}
]
}
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}Payment Methods
List payment methods
Lists the payment methods of the token’s customer.
GET
/
agent
/
platform
/
payment-methods
List payment methods
curl --request GET \
--url https://uat-api.clinkbill.com/agent/platform/payment-methods \
--header 'Authorization: Bearer <token>'HttpResponse<String> response = Unirest.get("https://uat-api.clinkbill.com/agent/platform/payment-methods")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://uat-api.clinkbill.com/agent/platform/payment-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://uat-api.clinkbill.com/agent/platform/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "Success",
"data": {
"payment_methods": [
{
"payment_instrument_id": "pi_...",
"payment_method_type": "CARD",
"payment_instrument_type": "VIRTUAL_CARD",
"card_scheme": "VISA",
"card_last_four": "4242",
"expiry_month": "12",
"expiry_year": "2030",
"issuer_bank": "Example Bank",
"is_default": true,
"status": "ACTIVE"
}
]
}
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}PAN and CVV are never returned. To add a card, use Bind a card. To bind a card and authorize a purchase in one flow, omit
payment_instrument_id in Create instruction. To remove a card, use Delete payment method.